# Uses of Class
net.shibboleth.idp.session.impl.StorageBackedIdPSession

Packages that use StorageBackedIdPSession
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of StorageBackedIdPSession in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as StorageBackedIdPSession
Modifier and Type
Field
Description
`private final StorageBackedIdPSession`
StorageBackedIdPSessionSerializer.`targetObject`
Object instance to overwrite with deserialization method.
Methods in net.shibboleth.idp.session.impl that return StorageBackedIdPSession
Modifier and Type
Method
Description
`StorageBackedIdPSession`
StorageBackedIdPSessionSerializer.`deserialize(long version, String context, String key, String value, Long expiration)`
Methods in net.shibboleth.idp.session.impl that return types with arguments of type StorageBackedIdPSession
Modifier and Type
Method
Description
`StorageSerializer<StorageBackedIdPSession>`
StorageBackedSessionManager.`getStorageSerializer()`
Get the serializer for the `IdPSession` objects managed by this implementation.
Methods in net.shibboleth.idp.session.impl with parameters of type StorageBackedIdPSession
Modifier and Type
Method
Description
`String`
StorageBackedIdPSessionSerializer.`serialize(StorageBackedIdPSession instance)`
Constructors in net.shibboleth.idp.session.impl with parameters of type StorageBackedIdPSession
Modifier
Constructor
Description
``
`StorageBackedIdPSessionSerializer(StorageBackedSessionManager manager, StorageBackedIdPSession target)`
Constructor.